##############################################################################
# Copyright (C) 2001 Kim Nikolay <fafhrd@datacom.kz>

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

##############################################################################
""" CMFLocalizer """
__version__='$Revision: 0.1 $'[11:-2]

try:
    import LocalizerTool, FSMessageCatalog, Products.CMFCore

    Products.CMFCore.utils.registerIcon(FSMessageCatalog.FSMessageCatalog,
                       'images/fsmessage_catalog.gif', globals())

    tools = ( LocalizerTool.LocalizerTool,
              )
    
    import sys
    this_module = sys.modules[__name__]
    
    z_tool_bases = Products.CMFCore.utils.initializeBasesPhase1( tools, this_module )
    
    #use_cmf = 1
except ImportError:
    #use_cmf = 0
    pass


import GettextExpr


def initialize( context ):

    #utils.initializeBasesPhase2( z_tool_bases, context )
    #utils.ToolInit('CMF Localizer Tool', tools=tools,
    #               product_name='CMFLocalizer', icon='tool.gif',
    #               ).initialize( context )

    GettextExpr.initialize()
